import Vue from 'vue'
import Confirm from './index.vue'

const ConfirmConstructor = Vue.extend(Confirm)

const confirm = function (options = {}) {
    return new Promise((resolve, reject) => {
        const confirmInstance = new ConfirmConstructor({
            data: {
                ...options,
            }
        }).$mount()
        confirmInstance.onCancel = function(data = null) {
            confirmInstance.$el.parentNode.removeChild(confirmInstance.$el)
            reject(data)
        }
        confirmInstance.onOk = function(data = null) {
            confirmInstance.$el.parentNode.removeChild(confirmInstance.$el)
            resolve(data)
        }
        document.body.appendChild(confirmInstance.$el)
    })
}


export default confirm
