/**
 * Author: zhangyutong
 * Date: 2021/5/15
 * Version: 1.0
 * Description: vuetifyjs-auxiliary
 * Function List:
 * History: null
 * Others: null
**/

import components from './components/index'
import directives from './directive/index'
import views from './views/index'

// 定义自动挂载方法
const auto_mount = function (Vue, components = {}, directives = {}, views = {}) {
    Object.keys(components).forEach(component => {
        Vue.prototype[`$${component}`] = components[component];
    });
    Object.keys(directives).forEach(directive => {
        Vue.directive(directive, directives[directive]);
    })
    Object.keys(views).forEach(view => {
        Vue.component(`X${view}`, views[view]);
    })
}


const install = function(Vue) {
    // 判断一下是否已经安装
    if (install.installed) return;
    install.installed = true;
    auto_mount(Vue, components, directives, views)
}

export const Toast = components.toast

export default {
    install
}
